curl -X POST "https://heimdall.qa.zoniqx.com/entities" \
-H "Authorization: Bearer <accessToken>" \
-H "x-tenant-id: <your-tenant-id>" \
-H "Content-Type: application/json" \
-d '{
"name": "string",
"description": "string",
"metadata": {
"businessName": "string",
"businessType": "solePropreitorship",
"ein": "string",
"doingBusinessAs": "string",
"phone": "string",
"addressLine1": "string",
"addressLine2": "string",
"city": "string",
"state": "string",
"postalCode": "string",
"website": "string",
"kybType": "verified"
}
}'const response = await fetch("https://heimdall.qa.zoniqx.com/entities", {
method: "POST",
headers: {
"Authorization": "Bearer <accessToken>",
"x-tenant-id": "<your-tenant-id>",
"Content-Type": "application/json",
},
body: JSON.stringify({
"name": "string",
"description": "string",
"metadata": {
"businessName": "string",
"businessType": "solePropreitorship",
"ein": "string",
"doingBusinessAs": "string",
"phone": "string",
"addressLine1": "string",
"addressLine2": "string",
"city": "string",
"state": "string",
"postalCode": "string",
"website": "string",
"kybType": "verified"
}
}),
});
const data = await response.json();type EntitiesController_createEntityResponse = Record<string, unknown>;
const response = await fetch("https://heimdall.qa.zoniqx.com/entities", {
method: "POST",
headers: {
Authorization: "Bearer <accessToken>",
"x-tenant-id": "<your-tenant-id>",
"Content-Type": "application/json",
},
body: JSON.stringify({
"name": "string",
"description": "string",
"metadata": {
"businessName": "string",
"businessType": "solePropreitorship",
"ein": "string",
"doingBusinessAs": "string",
"phone": "string",
"addressLine1": "string",
"addressLine2": "string",
"city": "string",
"state": "string",
"postalCode": "string",
"website": "string",
"kybType": "verified"
}
}),
});
const data: EntitiesController_createEntityResponse = await response.json();import requests
url = "https://heimdall.qa.zoniqx.com/entities"
headers = {
"Authorization": "Bearer <accessToken>",
"x-tenant-id": "<your-tenant-id>",
}
payload = {
"name": "string",
"description": "string",
"metadata": {
"businessName": "string",
"businessType": "solePropreitorship",
"ein": "string",
"doingBusinessAs": "string",
"phone": "string",
"addressLine1": "string",
"addressLine2": "string",
"city": "string",
"state": "string",
"postalCode": "string",
"website": "string",
"kybType": "verified"
}
}
response = requests.post(url, headers=headers, json=payload)
data = response.json()